Class | Fog::Compute::Vsphere::Server
In: | lib/fog/vsphere/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

clone config_vnc destroy folder interfaces mac memory migrate new new? ready? reboot reload save start stop tools_installed? vm_reconfig_cpus vm_reconfig_hardware vm_reconfig_memory vnc volumes

### Public Class methods

new(attributes={} )

### Public Instance methods

clone(options = {})

Clone from a server object

#### Parameters

*<~Hash>:

      * 'name'<~String> - *REQUIRED* Name of the _new_ VirtualMachine
      * See more options in vm_clone request/compute/vm_clone.rb

config_vnc(options = {})

defines VNC attributes on the hypervisor

destroy(options = {})
folder()
interfaces()
mac()
memory()
migrate(options = {})
new?()
ready?()
reboot(options = {})
reload()
save()
start(options = {})
stop(options = {})
tools_installed?()
vm_reconfig_cpus(options = {})
vm_reconfig_hardware(options = {})
vm_reconfig_memory(options = {})
vnc()

returns a hash of VNC attributes required for service

volumes()

[Validate]